/* $Id: tstIEMAImplDataSseBinary.S 96393 2022-08-22 08:02:03Z vboxsync $ */
/** @file
 * tstIEMAImplDataSseBinary - Test data for SSE binary instructions.
 */

/*
 * Copyright (C) 2022 Oracle Corporation
 *
 * This file is part of VirtualBox Open Source Edition (OSE), as
 * available from http://www.virtualbox.org. This file is free software;
 * you can redistribute it and/or modify it under the terms of the GNU
 * General Public License (GPL) as published by the Free Software
 * Foundation, in version 2 as it comes in the "COPYING" file of the
 * VirtualBox OSE distribution. VirtualBox OSE is distributed in the
 * hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
 */


#ifdef RT_OS_DARWIN
# define NAME(a_Name) _##a_Name
#else
# define NAME(a_Name) a_Name
#endif

#ifdef RT_OS_DARWIN
.section __TEXT,__const
#else
.section __TEXT
#endif

.macro IEM_TEST_DATA a_Instr, a_szDataFile
    .p2align 6
    .globl  NAME(g_aTests_\a_Instr)
NAME(g_aTests_\a_Instr):
    .incbin "\a_szDataFile"
NAME(g_aTests_end_\a_Instr):
#ifdef ASM_FORMAT_ELF
    .size   NAME(g_aTests_\a_Instr), . - NAME(g_aTests_\a_Instr)
    .type   NAME(g_aTests_\a_Instr), object
#endif

    .p2align 2
    .globl  NAME(g_cbTests_\a_Instr)
NAME(g_cbTests_\a_Instr):
    .int    NAME(g_aTests_end_\a_Instr) - NAME(g_aTests_\a_Instr)
#ifdef ASM_FORMAT_ELF
    .size   NAME(g_cbTests_\a_Instr), 4
    .type   NAME(g_cbTests_\a_Instr), object
#endif
.endm

IEM_TEST_DATA addps_u128,        "tstIEMAImplDataSseBinary-addps_u128.bin"
IEM_TEST_DATA mulps_u128,        "tstIEMAImplDataSseBinary-mulps_u128.bin"
IEM_TEST_DATA subps_u128,        "tstIEMAImplDataSseBinary-subps_u128.bin"
IEM_TEST_DATA minps_u128,        "tstIEMAImplDataSseBinary-minps_u128.bin"
IEM_TEST_DATA divps_u128,        "tstIEMAImplDataSseBinary-divps_u128.bin"
IEM_TEST_DATA maxps_u128,        "tstIEMAImplDataSseBinary-maxps_u128.bin"
IEM_TEST_DATA haddps_u128,       "tstIEMAImplDataSseBinary-haddps_u128.bin"
IEM_TEST_DATA hsubps_u128,       "tstIEMAImplDataSseBinary-hsubps_u128.bin"
IEM_TEST_DATA sqrtps_u128,       "tstIEMAImplDataSseBinary-sqrtps_u128.bin"
IEM_TEST_DATA addsubps_u128,     "tstIEMAImplDataSseBinary-addsubps_u128.bin"

IEM_TEST_DATA addss_u128_r32,    "tstIEMAImplDataSseBinary-addss_u128_r32.bin"
IEM_TEST_DATA mulss_u128_r32,    "tstIEMAImplDataSseBinary-mulss_u128_r32.bin"
IEM_TEST_DATA subss_u128_r32,    "tstIEMAImplDataSseBinary-subss_u128_r32.bin"
IEM_TEST_DATA minss_u128_r32,    "tstIEMAImplDataSseBinary-minss_u128_r32.bin"
IEM_TEST_DATA divss_u128_r32,    "tstIEMAImplDataSseBinary-divss_u128_r32.bin"
IEM_TEST_DATA maxss_u128_r32,    "tstIEMAImplDataSseBinary-maxss_u128_r32.bin"
IEM_TEST_DATA cvtss2sd_u128_r32, "tstIEMAImplDataSseBinary-cvtss2sd_u128_r32.bin"
IEM_TEST_DATA sqrtss_u128_r32,   "tstIEMAImplDataSseBinary-sqrtss_u128_r32.bin"

IEM_TEST_DATA addpd_u128,        "tstIEMAImplDataSseBinary-addpd_u128.bin"
IEM_TEST_DATA mulpd_u128,        "tstIEMAImplDataSseBinary-mulpd_u128.bin"
IEM_TEST_DATA subpd_u128,        "tstIEMAImplDataSseBinary-subpd_u128.bin"
IEM_TEST_DATA minpd_u128,        "tstIEMAImplDataSseBinary-minpd_u128.bin"
IEM_TEST_DATA divpd_u128,        "tstIEMAImplDataSseBinary-divpd_u128.bin"
IEM_TEST_DATA maxpd_u128,        "tstIEMAImplDataSseBinary-maxpd_u128.bin"
IEM_TEST_DATA haddpd_u128,       "tstIEMAImplDataSseBinary-haddpd_u128.bin"
IEM_TEST_DATA hsubpd_u128,       "tstIEMAImplDataSseBinary-hsubpd_u128.bin"
IEM_TEST_DATA sqrtpd_u128,       "tstIEMAImplDataSseBinary-sqrtpd_u128.bin"
IEM_TEST_DATA addsubpd_u128,     "tstIEMAImplDataSseBinary-addsubpd_u128.bin"

IEM_TEST_DATA addsd_u128_r64,    "tstIEMAImplDataSseBinary-addsd_u128_r64.bin"
IEM_TEST_DATA mulsd_u128_r64,    "tstIEMAImplDataSseBinary-mulsd_u128_r64.bin"
IEM_TEST_DATA subsd_u128_r64,    "tstIEMAImplDataSseBinary-subsd_u128_r64.bin"
IEM_TEST_DATA minsd_u128_r64,    "tstIEMAImplDataSseBinary-minsd_u128_r64.bin"
IEM_TEST_DATA divsd_u128_r64,    "tstIEMAImplDataSseBinary-divsd_u128_r64.bin"
IEM_TEST_DATA maxsd_u128_r64,    "tstIEMAImplDataSseBinary-maxsd_u128_r64.bin"
IEM_TEST_DATA cvtsd2ss_u128_r64, "tstIEMAImplDataSseBinary-cvtsd2ss_u128_r64.bin"
IEM_TEST_DATA sqrtsd_u128_r64,   "tstIEMAImplDataSseBinary-sqrtsd_u128_r64.bin"
